# Uses of Class
org.apache.sysds.parser.Statement

Packages that use Statement
Package
Description
org.apache.sysds.parser
org.apache.sysds.parser.dml

## Uses of Statement in org.apache.sysds.parser

Subclasses of Statement in org.apache.sysds.parser
Modifier and Type
Class
Description
`class`
`AssignmentStatement`
`class`
`ForStatement`
`class`
`FunctionStatement`
`class`
`IfStatement`
`class`
`ImportStatement`
`class`
`MultiAssignmentStatement`
`class`
`OutputStatement`
`class`
`ParForStatement`
This ParForStatement is essentially identical to a ForStatement, except an extended toString method for printing the 'parfor' keyword.
`class`
`PathStatement`
`class`
`PrintStatement`
`class`
`WhileStatement`
Methods in org.apache.sysds.parser that return Statement
Modifier and Type
Method
Description
`Statement`
StatementBlock.`getStatement(int i)`
`Statement`
AssignmentStatement.`rewriteStatement(String prefix)`
`Statement`
ForStatement.`rewriteStatement(String prefix)`
`Statement`
FunctionStatement.`rewriteStatement(String prefix)`
`Statement`
IfStatement.`rewriteStatement(String prefix)`
`Statement`
ImportStatement.`rewriteStatement(String prefix)`
`Statement`
MultiAssignmentStatement.`rewriteStatement(String prefix)`
`Statement`
OutputStatement.`rewriteStatement(String prefix)`
`Statement`
PathStatement.`rewriteStatement(String prefix)`
`Statement`
PrintStatement.`rewriteStatement(String prefix)`
`abstract Statement`
Statement.`rewriteStatement(String prefix)`
`Statement`
WhileStatement.`rewriteStatement(String prefix)`
Methods in org.apache.sysds.parser that return types with arguments of type Statement
Modifier and Type
Method
Description
`ArrayList<Statement>`
StatementBlock.`getStatements()`
`ArrayList<Statement>`
StatementBlock.`rewriteFunctionCallStatements(DMLProgram dmlProg, ArrayList<Statement> statements)`
`static List<Statement>`
StatementBlock.`rHoistFunctionCallsFromExpressions(Statement stmt, DMLProgram prog)`
Methods in org.apache.sysds.parser with parameters of type Statement
Modifier and Type
Method
Description
`void`
StatementBlock.`addStatement(Statement s)`
`static StatementBlock`
ParserWrapper.`getStatementBlock(Statement current)`
Custom wrapper to convert statement into statement blocks.
`boolean`
StatementBlock.`isRewritableFunctionCall(Statement stmt, DMLProgram dmlProg)`
`static List<Statement>`
StatementBlock.`rHoistFunctionCallsFromExpressions(Statement stmt, DMLProgram prog)`
Method parameters in org.apache.sysds.parser with type arguments of type Statement
Modifier and Type
Method
Description
`ArrayList<Statement>`
StatementBlock.`rewriteFunctionCallStatements(DMLProgram dmlProg, ArrayList<Statement> statements)`
`static Expression`
StatementBlock.`rHoistFunctionCallsFromExpressions(Expression expr, boolean root, ArrayList<Statement> tmp, DMLProgram prog)`
`void`
StatementBlock.`setStatements(ArrayList<Statement> s)`

## Uses of Statement in org.apache.sysds.parser.dml

Fields in org.apache.sysds.parser.dml declared as Statement
Modifier and Type
Field
Description
`Statement`
StatementInfo.`stmt`